Verify a webhook subscription

Verify a Webhook Subscription entity. Calling this endpoint will trigger Kulipa to send a POST request to your service with the following payload:

{
  "id": "9fb634a7-1884-4d5d-aba4-fc074159c504",
  "eventTargetId": "580fb00b-ee69-4f1e-a3ec-5ce8d62aa309",
  "generatedAt": "2023-08-16T08:23:35.6548Z",
  "eventName":"verificationRequest"
}

Upon your service returning 2xx response status code to this call, the Webhook Subscription will be automatically enabled and mark as verified.

Path Params
uuid
required
length between 36 and 36

The UUID of the webhook subscription

Responses

401

Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.

403

The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401 Unauthorized, the client's identity is known to the server.

429

The user has sent too many requests in a given amount of time ("rate limiting").

500

The server has encountered a situation it does not know how to handle.

Language
Credentials
Header
Response
Choose an example:
application/json